//
//  GM.cpp
//  Wumbo
//
//  Created by Wade McGillis on 11/14/13.
//  Copyright (c) 2013 Wade McGillis. All rights reserved.
//

#include "GM.h"

namespace GM
{
	Wumbo::Program *__GM_WUMBO_PROGRAM;
	Wumbo::Renderer *__GM_WUMBO_RENDERER;
	Wumbo::InputManager *__GM_WUMBO_INPUTMANAGER;
	
	void gm_wumbo_init(Wumbo::Program *prog)
	{
		__GM_WUMBO_PROGRAM = prog;
		__GM_WUMBO_INPUTMANAGER = prog->getInputManager();
		__GM_WUMBO_RENDERER = prog->getRenderer();
	}
};